diff --git a/books/Makefile.pamphlet b/books/Makefile.pamphlet
index 93d9570..cf0e62b 100644
--- a/books/Makefile.pamphlet
+++ b/books/Makefile.pamphlet
@@ -41,6 +41,7 @@ BUUKS=${PDF}/bookvol2.pdf ${PDF}/bookvol3.pdf \
       ${PDF}/bookvol9.pdf ${PDF}/bookvol12.pdf
 
 all: ${PDF}/axiom.sty ${BUUKS} ${BOOKS} ${PDF}/toc.pdf 
+	@(cd ${PDF} ; ${RM} *.out *.toc )
 
 ${PDF}/bookvol2.pdf: ${IN}/bookvol2.pamphlet 
 	@echo books/1 making ${PDF}/bookvol2.pdf from ${IN}/bookvol2.pamphlet
@@ -589,9 +590,9 @@ ${PDF}/toc.pdf: ${BOOKS}
 	  ${RM} -f toc.aux toc.dvi toc.log toc.ps toc.tex toc.toc ; \
 	fi )
 
-${PDF}/axiom.sty: ${SRC}/scripts/tex/axiom.sty
+${PDF}/axiom.sty: ${SRC}/doc/axiom.sty.pamphlet
 	@echo 14 making ${PDF}/axiom.sty from ${SRC}/scripts/tex/axiom.sty
-	@cp ${SRC}/scripts/tex/axiom.sty ${PDF}/axiom.sty
+	@${TANGLE} -Raxiom.sty ${SRC}/doc/axiom.sty.pamphlet >${PDF}/axiom.sty
 
 @
 \section{Combined Bibliography}
diff --git a/books/bookheader.tex b/books/bookheader.tex
index e47851b..7880f12 100644
--- a/books/bookheader.tex
+++ b/books/bookheader.tex
@@ -1,4 +1,5 @@
 \usepackage{hyperref}
+\usepackage{amssymb}
 \usepackage{axiom}
 \usepackage{makeidx}
 \setlength{\textwidth}{400pt}
diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
index ed0945e..8b15a7d 100644
--- a/books/bookvol0.pamphlet
+++ b/books/bookvol0.pamphlet
@@ -1,257 +1,6 @@
 \documentclass[dvipdfm]{book}
-%\usepackage{axiom}
-\usepackage{hyperref}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%%
-%% sechead consolidates standard page indexing
-%% it replaces the \section tag for domains so we
-%% create proper cross references and index entries
-%%
-\newcommand{\domainhead}[1]{% e.g. \domainhead{domain}
-\section{#1}
-\label{#1}%
-\index{{#1}}}%
-
-%%
-%% domainref consolidates standard page indexing
-%% it replaces the \ref tag for domain
-%%
-\newcommand{\domainref}[1]{% e.g. \domainref{domain}
-{\tt #1}{ \ref{#1} on page~\pageref{#1}}}
-
-%%
-%% sectionref consolidates standard page indexing
-%% it replaces the \ref tag for labels
-%%
-\newcommand{\sectionref}[1]{% e.g. \sectionref{domain}
-{section~\ref{#1} on page~\pageref{#1}}}
-
-%%
-%% figureref consolidates standard page indexing
-%% it replaces the \ref tag for labels
-%%
-\newcommand{\figureref}[1]{% e.g. \sectionref{domain}
-{figure~\ref{#1} on page~\pageref{#1}}}
-
-% spadcommands are the actual text that you type at the axiom prompt
-\newcommand{\spadcommand}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadgraph are the actual text that you type at the axiom prompt for draw
-\newcommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% returnType is the type signature returned by the axiom interpreter
-\newcommand{\returnType}[1]%
-{\begin{flushright}{\tt #1}\end{flushright}\vskip .1cm}
-
-% spadsig gives the standard -> notation for signatures
-\newcommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% The book begins with some introductory material that is not really
-% listed as a chapter. This creates a header similar to \chapter.
-\newcommand{\pseudoChapter}[1]%
-{\vskip .5in \noindent {\Large{\bf #1}}\vskip .5in}
-
-% The book begins with some introductory material that is not really
-% listed as a section. This creates a header similar to \section.
-\newcommand{\pseudoSection}[1]%
-{\vskip .25in \noindent {\large{\bf #1}}\vskip .25in}
-
-% spadofFrom records the operation in the index and the domain in the index
-\newcommand{\spadopFrom}[2]{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}\index{#2}``{\tt #1}''}
-
-% spadfunFrom records the function name and domain in the index
-\newcommand{\spadfunFrom}[2]{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-% special meanings for math characters
-\newcommand{\N}{\mbox{\bbold N}}
-\newcommand{\Natural}{\mbox{\bbold N}}
-\newcommand{\Z}{\mbox{\bbold Z}}
-\newcommand{\Integer}{\mbox{\bbold Z}}
-\newcommand{\Rational}{\mbox{\bbold Q}}
-\newcommand{\Q}{\mbox{\bbold Q}}
-\newcommand{\Complex}{\mbox{\bbold C}}
-\newcommand{\C}{{\mathcal C}}
-\newcommand{\Real}{\mbox{\bbold R}}
-\newcommand{\F}{{\mathcal F}}
-\newcommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\newcommand\boxed[2]{%
-\begin{center}%
-\begin{tabular}{|c|}%
-\hline%
-\begin{minipage}{#1}%
-\vskip 0.1cm%
-\normalsize%
-{#2}%
-\end{minipage}\\%
-\hline%
-\end{tabular}%
-\end{center}}
-
-\newcommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\newcommand{\argDef}[1]{{\tt ({#1})}}
-\newcommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\newcommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-
-\newcommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\newdimen\xmpWidth \xmpWidth=29pc
-
-\def\Lisp{{Common LISP}}
-\def\axiom#1{{\frenchspacing\tt #1}}
-\def\spad{\axiom}
-\def\spadatt#1{{\tt #1}}
-\def\spadref#1{Section \ref{#1} on page \pageref{#1}}
-\def\spadignore#1{#1}
-
-\def\nwnewline{\ifvmode\else\hfil\break\leavevmode\hbox{}\fi}
-
-\def\axiomType#1{{\sf #1}}
-\def\spadtype{\axiomType}
-
-\def\axiomOp#1{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}``{\tt #1}''}
-\def\spadop{\axiomOp}
-
-\def\axiomFun#1{{\bf #1}\index{library!operations!#1 @\begingroup \string\bf{} #1 \endgroup}}
-\def\spadfun{\axiomFun}
-
-\def\spadgloss#1{\index{#1}{\it #1}}
-
-\def\eth#1{${\hbox{#1}\:}^{\hbox{\small\rm th}}$}
-
-\long\def\texht#1#2{#1}
-
-\def\simpleList{%
-\begin{list}{}{\itemsep 2pt \topsep \parskip \parsep 0
-\leftmargin 1pc \partopsep 0 \parskip 0
-\if@twocolumn\else\linewidth\xmpWidth\fi}}
-
-\def\endsimpleList{\end{list}\vskip -\parskip}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {\frac{\hfill \left. {#1} \right|}{\left| {#2} \right. \hfill}}
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-\newcommand\ExitBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-\newcommand\ReturnBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-\newcommand\HelpBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-\newcommand\UpBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-\newcommand{\tpd}[5]{{\setlength{\unitlength}{0.01in}\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 0: Axiom Jenks and Sutor}}
-\end{titlepage}
-\pagenumbering{roman}
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-This document is a complete ``re-implementation'' of the original Axiom
-book by Jenks and Sutor. Virtually every line has been reviewed and
-rewritten into the new Axiom pamphlet format. Changes were made to
-reflect the new Axiom system. Additional material was added and some
-previous examples were rewritten. This is intended to be a ``living''
-document with material referenced or gathered automatically from other
-parts of the system documentation. Future plans include adding active
-examples (moving graphics, in-line command prompts) using Active-DVI.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-%\noindent
-
+\newcommand{\VolumeName}{Volume 0: Axiom Jenks and Sutor}
+\input{bookheader.tex}
 %Original Page vii
 
 {\Large{\bf Foreword}}
@@ -63738,9 +63487,6 @@ compilers.
 
 \setcounter{chapter}{0} % Appendix A
 
-\newcommand{\lanb}{{\tt [}}
-\newcommand{\ranb}{{\tt ]}}
-\newcommand{\vertline}{$|$}
 \appendix
 
 %Original Page 571
@@ -74047,7 +73793,7 @@ SCRIPT Formula Format or \TeX{} formatted object \smath{t}.}
 {2}{(\$, \$)->Boolean}{SExpressionCategory}
 {\smath{eq(s, t)}, for \axiomType{SExpression}s
 \smath{s} and \smath{t} returns \smath{true} if EQ(\smath{s}, \smath{t})
-is \smath{true} in \Lisp{}.}
+is \smath{true} in Common Lisp.}
 
 % ----------------------------------------------------------------------
 \opdata{{\mbox{\axiomFun{eq?}}\opLeftPren{}{\it aggregate}, \allowbreak{}
@@ -74525,7 +74271,7 @@ and \smath{generator} where \smath{rec.coef1*x+rec.coef2*y =
 rec.generator} and \smath{rec.generator} is a \smath{gcd} of
 \smath{x} and \smath{y}.
 The \smath{gcd} is unique only up to associates if
-\spadatt{canonicalUnitNormal} is not asserted.
+{\tt canonicalUnitNormal} is not asserted.
 Note: See \spadfun{principalIdeal} for a version of this operation
 which accepts an arbitrary length list of arguments.
 \newitem\smath{\mbox{\bf extendedEuclidean}\opLeftPren{}x, 
@@ -76947,7 +76693,7 @@ Argument \smath{x} is an element of a domain of category
 returns an element that is a left inverse
 of \smath{a}, or \mbox{\tt "failed"}, if there is no unit element,
 such an element does not exist, or the left reciprocal cannot be
-determined (see \spadatt{unitsKnown}).}
+determined (see {\tt unitsKnown}).}
 
 % ----------------------------------------------------------------------
 \opdata{{\mbox{\axiomFun{leftRecip}}\opLeftPren{}{\it element}\opRightPren{}%
@@ -76958,7 +76704,7 @@ determined (see \spadatt{unitsKnown}).}
 returns an element, which is a left inverse
 of \smath{a}, or \mbox{\tt "failed"} if such an element doesn't
 exist or cannot be determined (see
-\spadatt{unitsKnown}).
+{\tt unitsKnown}).
 }
 
 % ----------------------------------------------------------------------
@@ -82194,7 +81940,7 @@ representing  90-degree turns of the faces.
 }%
 }%
 {2}{(F, F)->\$}{RewriteRule}
-{See \spadref{ugUserRules}.
+{Section \ref{ugUserRules} on page \pageref{ugUserRules}
 }
 
 % ----------------------------------------------------------------------
@@ -85049,7 +84795,7 @@ tries to choose a canonical element from
 the associate class of \smath{x}.
 If successful, it returns a record with three components
 ``unit'', ``canonical'' and ``associate''.
-The attribute \spadatt{canonicalUnitNormal}, if asserted, means
+The attribute {\tt canonicalUnitNormal}, if asserted, means
 that the ``canonical'' element is the same across all associates
 of \smath{x}.
 If \smath{\mbox{\bf unitNormal}\opLeftPren{}x) = [u, c, a]} 
@@ -85153,7 +84899,7 @@ Note: counting of subtrees is done by
 \eth{\smath{k}} improper partition of nonnegative \smath{n} in at most
 \smath{m} nonnegative parts ordered as follows: first, in reverse
 lexicographical order according to their non-zero parts, then
-according to their positions (\spadignore{i.e.}
+according to their positions (i.e.
 lexicographical order using \smath{subSet}: \smath{[3, 0, 0] < [0, 3, 0]
 < [0, 0, 3] < [2, 1, 0] < [2, 0, 1] < [0, 2, 1] < [1, 2, 0] < [1, 0, 2] <
 [0, 1, 2] < [1, 1, 1]}).
diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index 13e5d84..f06cbb2 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -1,253 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{amssymb}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Categories}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\hfill\\
-CAISS, City College of New York\hfill\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Categories}
+\input{bookheader.tex}
 \chapter{Categories}
 Axiom has 3 main algebra components, Categories, Domains, and
 Packages. If we make an analogy to dressmaking, you can consider
diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 9bc7d68..cd0bff6 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -1,263 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}%% we need hyperlinks
-\usepackage{amssymb} %% we need \therefore symbol
-\usepackage{axiom}   %% we need noweb support
-\usepackage{makeidx} %% we need an index
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}%%we need \includegraphics
-
-%% We need to use a dagger to mark footnotes because numbers can be
-%% mistaken as superscripts
-\renewcommand{\thefootnote}{\fnsymbol{footnote}}
-%% Before each footnote we explicitly set the counter to 1 so that
-%% when it increments it prints a dagger
-\setcounter{footnote}{1}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\mathchardef\bigp="3250
-\mathchardef\bigq="3251
-\mathchardef\bigslash="232C
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Domains}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Domains}
+\input{bookheader.tex}
 \chapter{Chapter Overview}
 This book contains the domains in Axiom, in alphabetical order.
 
diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 7ae1b2e..38232e5 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -1,263 +1,17 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{amssymb}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Packages}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Packages}
+\input{bookheader.tex}
 \chapter{Chapter Overview}
-This book contains the domains in Axiom, in alphabetical order.
+This book contains the packages in Axiom, in alphabetical order.
 
-Each domain has an associated 'dotpic' chunk which only lists the
-domains, categories, and packages that are in the layer immediately
+Each package has an associated 'dotpic' chunk which only lists the
+packages, categories, and packages that are in the layer immediately
 below in the build order. For the full list see the algebra Makefile
 where this information is maintained.
 
-Each domain is preceded by a picture. The picture indicates several 
+Each package is preceded by a picture. The picture indicates several 
 things. The colors indicate whether the name refers to a category,
-domain, or package. An ellipse means that the name refers to something
+package, or package. An ellipse means that the name refers to something
 in the bootstrap set. Thus,
 
 \includegraphics[scale=0.85]{ps/v103colorchart.ps}
diff --git a/books/bookvol10.5.pamphlet b/books/bookvol10.5.pamphlet
index e68fba4..86bf5a9 100644
--- a/books/bookvol10.5.pamphlet
+++ b/books/bookvol10.5.pamphlet
@@ -1,252 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{amssymb}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 10: Axiom Algebra: Numerics}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
+\newcommand{\VolumeName}{Volume 10: Axiom Algebra: Numerics}
+\input{bookheader.tex}
 \chapter{Numerical Analysis \cite{4}}
 We can describe each number as $x^{*}$ which has a machine-representable
 form which differs from the number $x$ it is intended to represent.
diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
index 9c5a119..c657af3 100644
--- a/books/bookvol12.pamphlet
+++ b/books/bookvol12.pamphlet
@@ -1,337 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%% spadgraph are the actual text that you type at the axiom prompt for draw
-\providecommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadfunFrom records the function name and domain in the index
-\providecommand{\spadfunFrom}[2]%
-{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-%% spadsig gives the standard -> notation for signatures
-\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\providecommand\boxed[2]{%
-\begin{center}
-\begin{tabular}{|c|}
-\hline
-\begin{minipage}{#1}
-\normalsize
-{#2}
-\end{minipage}\\
-\hline
-\end{tabular}
-\end{center}}
-
-\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\providecommand{\argDef}[1]{{\tt ({#1})}}
-\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {{\hfill \left. {#1} \right|}
-   \over
-   {\left| {#2} \right. \hfill}
-  }
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-
-\providecommand\ExitBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-
-\providecommand\ReturnBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-
-\providecommand\HelpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-
-\providecommand\UpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-
-\providecommand{\tpd}[5]%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 12: Axiom Crystal}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 12: Axiom Crystal}
+\input{bookheader.tex}
 \chapter{Axiom Crystal Design}
 \section{Book presentation}
 In the book "Science at the Edge" by John Brockman
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
index 9a3ec0d..4f81301 100644
--- a/books/bookvol2.pamphlet
+++ b/books/bookvol2.pamphlet
@@ -1,337 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%% spadgraph are the actual text that you type at the axiom prompt for draw
-\providecommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadfunFrom records the function name and domain in the index
-\providecommand{\spadfunFrom}[2]%
-{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-%% spadsig gives the standard -> notation for signatures
-\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\providecommand\boxed[2]{%
-\begin{center}
-\begin{tabular}{|c|}
-\hline
-\begin{minipage}{#1}
-\normalsize
-{#2}
-\end{minipage}\\
-\hline
-\end{tabular}
-\end{center}}
-
-\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\providecommand{\argDef}[1]{{\tt ({#1})}}
-\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {{\hfill \left. {#1} \right|}
-   \over
-   {\left| {#2} \right. \hfill}
-  }
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-
-\providecommand\ExitBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-
-\providecommand\ReturnBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-
-\providecommand\HelpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-
-\providecommand\UpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-
-\providecommand{\tpd}[5]%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 2: Axiom Users Guide}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 2: Axiom Users Guide}
+\input{bookheader.tex}
 \chapter{Axiom and Category Theory}
 \section{Covariance and Contravariance}
 Axiom has an order relation between types. The types can be in one of
diff --git a/books/bookvol3.pamphlet b/books/bookvol3.pamphlet
index 153198d..af9e789 100644
--- a/books/bookvol3.pamphlet
+++ b/books/bookvol3.pamphlet
@@ -1,337 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%% spadgraph are the actual text that you type at the axiom prompt for draw
-\providecommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadfunFrom records the function name and domain in the index
-\providecommand{\spadfunFrom}[2]%
-{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-%% spadsig gives the standard -> notation for signatures
-\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\providecommand\boxed[2]{%
-\begin{center}
-\begin{tabular}{|c|}
-\hline
-\begin{minipage}{#1}
-\normalsize
-{#2}
-\end{minipage}\\
-\hline
-\end{tabular}
-\end{center}}
-
-\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\providecommand{\argDef}[1]{{\tt ({#1})}}
-\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {{\hfill \left. {#1} \right|}
-   \over
-   {\left| {#2} \right. \hfill}
-  }
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-
-\providecommand\ExitBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-
-\providecommand\ReturnBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-
-\providecommand\HelpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-
-\providecommand\UpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-
-\providecommand{\tpd}[5]%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 3: Axiom Programmers Guide}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 3: Axiom Programmers Guide}
+\input{bookheader.tex}
 \section{Makefile}
 This book is actually a literate program\cite{2} and can contain 
 executable source code. In particular, the Makefile for this book
diff --git a/books/bookvol4.pamphlet b/books/bookvol4.pamphlet
index 42e2134..4095046 100644
--- a/books/bookvol4.pamphlet
+++ b/books/bookvol4.pamphlet
@@ -1,337 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-% struggle with latex figure-floating behavior
-\renewcommand\floatpagefraction{.9}
-\renewcommand\topfraction{.9}
-\renewcommand\bottomfraction{.9}
-\renewcommand\textfraction{.1}
-\setcounter{totalnumber}{50}
-\setcounter{topnumber}{50}
-\setcounter{bottomnumber}{50}
-
-
-%% spadgraph are the actual text that you type at the axiom prompt for draw
-\providecommand{\spadgraph}[1]%
-{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
-
-% spadfunFrom records the function name and domain in the index
-\providecommand{\spadfunFrom}[2]%
-{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
-
-%% spadsig gives the standard -> notation for signatures
-\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
-
-% special meanings for math characters
-\providecommand{\N}{\mbox{\bbold N}}
-\providecommand{\Natural}{\mbox{\bbold N}}
-\providecommand{\Z}{\mbox{\bbold Z}}
-\providecommand{\Integer}{\mbox{\bbold Z}}
-\providecommand{\Rational}{\mbox{\bbold Q}}
-\providecommand{\Q}{\mbox{\bbold Q}}
-\providecommand{\Complex}{\mbox{\bbold C}}
-\providecommand{\C}{{\mathcal C}}
-\providecommand{\Real}{\mbox{\bbold R}}
-\providecommand{\F}{{\mathcal F}}
-\providecommand{\R}{{\mathcal R}}
-
-% draw a box around a text block
-\providecommand\boxed[2]{%
-\begin{center}
-\begin{tabular}{|c|}
-\hline
-\begin{minipage}{#1}
-\normalsize
-{#2}
-\end{minipage}\\
-\hline
-\end{tabular}
-\end{center}}
-
-\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
-\providecommand{\argDef}[1]{{\tt ({#1})}}
-\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
-\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
-\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
-
-\def\glossaryTerm#1{{\bf #1}\index{#1}}
-\def\glossaryTermNoIndex#1{{\bf #1}}
-\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
-\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
-\def\csch{\mathop{\rm csch}\nolimits}
-
-\def\erf{\mathop{\rm erf}\nolimits}
-
-\def\zag#1#2{
-  {{\hfill \left. {#1} \right|}
-   \over
-   {\left| {#2} \right. \hfill}
-  }
-}
-
-
-% these bitmaps are used by HyperDoc
-\newdimen\commentWidth 
-\commentWidth=11pc
-\newdimen\colGutterWidth 
-\colGutterWidth=1pc
-\newdimen\baseLeftSkip
-\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
-
-\providecommand\ExitBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
-
-\providecommand\ReturnBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
-
-\providecommand\HelpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
-
-\providecommand\UpBitmap%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
-
-\providecommand{\tpd}[5]%
-{{\setlength{\unitlength}{0.01in}%
-\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
-
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 4: Axiom Developers Guide}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 4: Axiom Developers Guide}
+\input{bookheader.tex}
 \section{How Axiom Builds}
 \subsection{The environment variables}
 Axiom uses a tree of Makefiles to build the system. Each Makefile
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index 28c545a..397a321 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -1,92 +1,19 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 5: Axiom Interpreter}}
-\end{titlepage}
-\pagenumbering{roman}
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
-\chapter{Credits}
+\newcommand{\VolumeName}{Volume 5: Axiom Interpreter}
+\input{bookheader.tex}
+\chapter{The Interpreter}
+The Axiom interpreter is a large common lisp program. 
+It has several forms of interaction and run from
+terminal in a standalone fashion, run under the control of a
+session handler program, run as a web server, or run in a unix
+pipe. 
+\chapter{The Fundamental Data Structures}
+Axiom currently depends on a lot of global variables. These are generally
+listed here along with explanations.
+
+\section{The global variables}
+
+\subsection{Credits}
 Axiom has a very long history and many people have contributed to the
 effort, some in large ways and some in small ways. Any and all effort
 deserves recognition. There is no other criteria than contribution
@@ -185,18 +112,6 @@ of effort. We would like to acknowledge and thank the following people:
 
 \end{chunk}
 
-\chapter{The Interpreter}
-The Axiom interpreter is a large common lisp program. 
-It has several forms of interaction and run from
-terminal in a standalone fashion, run under the control of a
-session handler program, run as a web server, or run in a unix
-pipe. 
-\chapter{The Fundamental Data Structures}
-Axiom currently depends on a lot of global variables. These are generally
-listed here along with explanations.
-
-\section{The global variables}
-
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 The \verb|$current-directory| variable is set to the current directory 
 at startup. This is used by the \verb|)cd| function and some of the 
diff --git a/books/bookvol6.pamphlet b/books/bookvol6.pamphlet
index 2856166..8c0cc1a 100644
--- a/books/bookvol6.pamphlet
+++ b/books/bookvol6.pamphlet
@@ -1,239 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{VOLUME 6: AXIOM COMMAND}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 6: Axiom Command}
+\input{bookheader.tex}
 \chapter{Overview}
 The axiom system consists of a set of processes managed by the
 superman process.  The superman process, called sman, is normally
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index ae5525b..c6ee501 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -1,240 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 7: Axiom Hyperdoc}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 7: Axiom Hyperdoc}
+\input{bookheader.tex}
 \chapter{Overview}
 
 This book covers 5 top level commands that make up the Axiom Hyperdoc
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index ccf4623..1efe91c 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -1,240 +1,6 @@
 \documentclass[dvipdfm]{book}
-\usepackage{hyperref}
-\usepackage{axiom}
-\usepackage{makeidx}
-\setlength{\textwidth}{400pt}
-\makeindex
-\usepackage{graphicx}
-\begin{document}
-\begin{titlepage}
-\center{\includegraphics{ps/axiomfront.ps}}
-\vskip 0.1in
-\includegraphics{ps/bluebayou.ps}\\
-\vskip 0.1in
-{\Huge{The 30 Year Horizon}}
-\vskip 0.1in
-$$
-\begin{array}{lll}
-Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
-James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
-Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
-Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
-Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
-Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
-Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
-\end{array}
-$$
-\center{\large{Volume 9: Axiom Compiler}}
-\end{titlepage}
-\pagenumbering{roman}
-\begin{verbatim}
-Portions Copyright (c) 2005 Timothy Daly
-
-The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
-
-Portions Copyright (c) 2004 Martin Dunstan
-
-Portions Copyright (c) 1991-2002, 
-The Numerical ALgorithms Group Ltd.
-All rights reserved.
-
-This book and the Axiom software is licensed as follows:
-
-Redistribution and use in source and binary forms, with or 
-without modification, are permitted provided that the following 
-conditions are
-met:
-
-    - Redistributions of source code must retain the above 
-      copyright notice, this list of conditions and the 
-      following disclaimer.
-
-    - Redistributions in binary form must reproduce the above
-      copyright notice, this list of conditions and the 
-      following disclaimer in the documentation and/or other 
-      materials provided with the distribution.
-
-    - Neither the name of The Numerical ALgorithms Group Ltd. 
-      nor the names of its contributors may be used to endorse 
-      or promote products derived from this software without 
-      specific prior written permission.
-
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
-CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
-INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
-MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
-DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
-CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
-BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
-SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
-INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
-WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
-OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF 
-SUCH DAMAGE.
-
-\end{verbatim}
-
-\vfill
-\newpage
-Inclusion of names in the list of credits is based on historical
-information and is as accurate as possible. Inclusion of names
-does not in any way imply an endorsement but represents historical
-influence on Axiom development.
-
-\begin{tabular}{lll}
-Michael Albaugh        & Cyril Alberga          & Roy Adler\\
-Christian Aistleitner  & Richard Anderson       & George Andrews\\
-S.J. Atkins            & Henry Baker            & Martin Baker\\
-Stephen Balzac         & Yurij Baransky         & David R. Barton\\
-Gerald Baumgartner     & Gilbert Baumslag       & Michael Becker\\
-Nelson H. F. Beebe     & Jay Belanger           & David Bindel\\
-Fred Blair             & Vladimir Bondarenko    & Mark Botch\\
-Raoul Bourquin         & Alexandre Bouyer       & Karen Braman\\
-Peter A. Broadbery     & Martin Brock           & Manuel Bronstein\\
-Stephen Buchwald       & Florian Bundschuh      & Luanne Burns\\
-William Burge          & Ralph Byers            & Quentin Carpent\\
-Robert Caviness        & Bruce Char             & Ondrej Certik\\
-Tzu-Yi Chen            & Cheekai Chin           & David V. Chudnovsky\\
-Gregory V. Chudnovsky  & Mark Clements          & James Cloos\\
-Jia Zhao Cong          & Josh Cohen             & Christophe Conil\\
-Don Coppersmith        & George Corliss         & Robert Corless\\
-Gary Cornell           & Meino Cramer           & Jeremy Du Croz\\
-David Cyganski         & Nathaniel Daly         & Timothy Daly Sr.\\
-Timothy Daly Jr.       & James H. Davenport     & David Day\\
-James Demmel           & Didier Deshommes       & Michael Dewar\\
-Jack Dongarra          & Jean Della Dora        & Gabriel Dos Reis\\
-Claire DiCrescendo     & Sam Dooley             & Lionel Ducos\\
-Iain Duff              & Lee Duhem              & Martin Dunstan\\
-Brian Dupee            & Dominique Duval        & Robert Edwards\\
-Heow Eide-Goodman      & Lars Erickson          & Richard Fateman\\
-Bertfried Fauser       & Stuart Feldman         & John Fletcher\\
-Brian Ford             & Albrecht Fortenbacher  & George Frances\\
-Constantine Frangos    & Timothy Freeman        & Korrinn Fu\\
-Marc Gaetano           & Rudiger Gebauer        & Van de Geijn\\
-Kathy Gerber           & Patricia Gianni        & Samantha Goldrich\\
-Holger Gollan          & Teresa Gomez-Diaz      & Laureano Gonzalez-Vega \\
-Stephen Gortler        & Johannes Grabmeier     & Matt Grayson\\
-Klaus Ebbe Grue        & James Griesmer         & Vladimir Grinberg\\
-Oswald Gschnitzer      & Ming Gu                & Jocelyn Guidry\\
-Gaetan Hache           & Steve Hague            & Satoshi Hamaguchi\\
-Sven Hammarling        & Mike Hansen            & Richard Hanson\\
-Richard Harke          & Bill Hart              & Vilya Harvey\\
-Martin Hassner         & Arthur S. Hathaway     & Dan Hatton\\
-Waldek Hebisch         & Karl Hegbloom          & Ralf Hemmecke\\
-\end{tabular}
-\vfill
-\newpage
-\begin{tabular}{lll}
-Henderson              & Antoine Hersen         & Roger House\\
-Gernot Hueber          & Pietro Iglio           & Alejandro Jakubi\\
-Richard Jenks          & William Kahan          & Kai Kaminski\\
-Grant Keady            & Wilfrid Kendall        & Tony Kennedy\\
-Ted Kosan              & Paul Kosinski          & Klaus Kusche\\
-Bernhard Kutzler       & Tim Lahey              & Larry Lambe\\
-Kaj Laurson            & George L. Legendre     & Franz Lehner\\
-Frederic Lehobey       & Michel Levaud          & Howard Levy\\
-Ren-Cang Li            & Rudiger Loos           & Michael Lucks\\
-Richard Luczak         & Camm Maguire           & Francois Maltey\\
-Alasdair McAndrew      & Bob McElrath           & Michael McGettrick\\
-Edi Meier              & Ian Meikle             & David Mentre\\
-Victor S. Miller       & Gerard Milmeister      & Mohammed Mobarak\\
-H. Michael Moeller     & Michael Monagan        & Marc Moreno-Maza\\
-Scott Morrison         & Joel Moses             & Mark Murray\\
-William Naylor         & Patrice Naudin         & C. Andrew Neff\\
-John Nelder            & Godfrey Nolan          & Arthur Norman\\
-Jinzhong Niu           & Michael O'Connor       & Summat Oemrawsingh\\
-Kostas Oikonomou       & Humberto Ortiz-Zuazaga & Julian A. Padget\\
-Bill Page              & David Parnas           & Susan Pelzel\\
-Michel Petitot         & Didier Pinchon         & Ayal Pinkus\\
-Frederick H. Pitts     & Jose Alfredo Portes    & Gregorio Quintana-Orti\\
-Claude Quitte          & Arthur C. Ralfs        & Norman Ramsey\\
-Anatoly Raportirenko   & Albert D. Rich         & Michael Richardson\\
-Guilherme Reis         & Huan Ren               & Renaud Rioboo\\
-Jean Rivlin            & Nicolas Robidoux       & Simon Robinson\\
-Raymond Rogers         & Michael Rothstein      & Martin Rubey\\
-Philip Santas          & Alfred Scheerhorn      & William Schelter\\
-Gerhard Schneider      & Martin Schoenert       & Marshall Schor\\
-Frithjof Schulze       & Fritz Schwarz          & Steven Segletes\\
-V. Sima                & Nick Simicich          & William Sit\\
-Elena Smirnova         & Jonathan Steinbach     & Fabio Stumbo\\
-Christine Sundaresan   & Robert Sutor           & Moss E. Sweedler\\
-Eugene Surowitz        & Max Tegmark            & T. Doug Telford\\
-James Thatcher         & Balbir Thomas          & Mike Thomas\\
-Dylan Thurston         & Steve Toleque          & Barry Trager\\
-Themos T. Tsikas       & Gregory Vanuxem        & Bernhard Wall\\
-Stephen Watt           & Jaap Weel              & Juergen Weiss\\
-M. Weller              & Mark Wegman            & James Wen\\
-Thorsten Werther       & Michael Wester         & R. Clint Whaley\\
-John M. Wiley          & Berhard Will           & Clifton J. Williamson\\
-Stephen Wilson         & Shmuel Winograd        & Robert Wisbauer\\
-Sandra Wityak          & Waldemar Wiwianka      & Knut Wolf\\
-Liu Xiaojun            & Clifford Yapp          & David Yun\\
-Vadim Zhytnikov        & Richard Zippel         & Evelyn Zoernack\\
-Bruno Zuercher         & Dan Zwillinger
-\end{tabular}
-\newpage
-
-\tableofcontents
-\vfill
-\eject
-\setlength{\parindent}{0em}
-\setlength{\parskip}{1ex}
-{\Large{\bf New Foreword}}
-\vskip .25in
-
-On October 1, 2001 Axiom was withdrawn from the market and ended
-life as a commercial product.
-On September 3, 2002 Axiom was released under the Modified BSD
-license, including this document.
-On August 27, 2003 Axiom was released as free and open source
-software available for download from the Free Software Foundation's
-website, Savannah.
-
-Work on Axiom has had the generous support of the Center for 
-Algorithms and Interactive Scientific Computation (CAISS) at
-City College of New York. Special thanks go to Dr. Gilbert 
-Baumslag for his support of the long term goal.
-
-The online version of this documentation is roughly 1000 pages.
-In order to make printed versions we've broken it up into three
-volumes. The first volume is tutorial in nature. The second volume
-is for programmers. The third volume is reference material. We've
-also added a fourth volume for developers. All of these changes
-represent an experiment in print-on-demand delivery of documentation.
-Time will tell whether the experiment succeeded.
-
-Axiom has been in existence for over thirty years. It is estimated to
-contain about three hundred man-years of research and has, as of
-September 3, 2003, 143 people listed in the credits. All of these
-people have contributed directly or indirectly to making Axiom
-available.  Axiom is being passed to the next generation. I'm looking
-forward to future milestones.
-
-With that in mind I've introduced the theme of the ``30 year horizon''.
-We must invent the tools that support the Computational Mathematician
-working 30 years from now. How will research be done when every bit of
-mathematical knowledge is online and instantly available? What happens
-when we scale Axiom by a factor of 100, giving us 1.1 million domains?
-How can we integrate theory with code? How will we integrate theorems
-and proofs of the mathematics with space-time complexity proofs and
-running code? What visualization tools are needed? How do we support
-the conceptual structures and semantics of mathematics in effective
-ways? How do we support results from the sciences? How do we teach
-the next generation to be effective Computational Mathematicians?
-
-The ``30 year horizon'' is much nearer than it appears.
-
-\vskip .25in
-%\noindent
-Tim Daly\\
-CAISS, City College of New York\\
-November 10, 2003 ((iHy))
-\vfill
-\eject
-\pagenumbering{arabic}
-\setcounter{chapter}{0} % Chapter 1
+\newcommand{\VolumeName}{Volume 9: Axiom Compiler}
+\input{bookheader.tex}
 \section{Makefile}
 This book is actually a literate program\cite{2} and contains
 executable source code. In particular, the Makefile for this book
diff --git a/changelog b/changelog
index e8f4066..34b4fab 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,20 @@
+20130428 tpd src/axiom-website/patches.html 20130428.03.tpd.patch
+20130428 tpd src/doc/axiom.sty pick up additional macros
+20130428 tpd books/bookvol9 use bookheader.tex
+20130428 tpd books/bookvol7 use bookheader.tex
+20130428 tpd books/bookvol6 use bookheader.tex
+20130428 tpd books/bookvol5 use bookheader.tex
+20130428 tpd books/bookvol4 use bookheader.tex
+20130428 tpd books/bookvol3 use bookheader.tex
+20130428 tpd books/bookvol2 use bookheader.tex
+20130428 tpd books/bookvol12 use bookheader.tex
+20130428 tpd books/bookvol10.5 use bookheader.tex
+20130428 tpd books/bookvol10.4 use bookheader.tex
+20130428 tpd books/bookvol10.3 use bookheader.tex
+20130428 tpd books/bookvol10.2 use bookheader.tex
+20130428 tpd books/bookvol0 use bookheader.tex
+20130428 tpd books/bookheader.tex generalize for other books
+20130428 tpd books/Makefile use bookheader.tex
 20130428 tpd src/axiom-website/patches.html 20130428.02.tpd.patch
 20130428 tpd books/bookvol11 use bookheader.tex
 20130428 tpd books/Makefile handle bookheader.tex
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 77a6a90..05440e2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4151,6 +4151,8 @@ books/bookvol10.2 add Attributes as Categories
 src/axiom-website/community.html fix mailing list links
 <a href="patches/20130428.02.tpd.patch">20130428.02.tpd.patch</a>
 books/bookheader.tex standardize the book headers
+<a href="patches/20130428.03.tpd.patch">20130428.03.tpd.patch</a>
+books/bookvol* use bookheader.tex
  </body>
 </html>
 
diff --git a/src/doc/axiom.sty.pamphlet b/src/doc/axiom.sty.pamphlet
index e2975ff..14943c2 100644
--- a/src/doc/axiom.sty.pamphlet
+++ b/src/doc/axiom.sty.pamphlet
@@ -46,6 +46,9 @@
 \providecommand{\Real}{\mbox{\bbold R}}
 \providecommand{\F}{{\mathcal F}}
 \providecommand{\R}{{\mathcal R}}
+\mathchardef\bigp="3250
+\mathchardef\bigq="3251
+\mathchardef\bigslash="232C
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -134,6 +137,17 @@
    {\left| {#2} \right. \hfill}
   }
 }
+
+\def\simpleList{%
+\begin{list}{}{\itemsep 2pt \topsep \parskip \parsep 0
+\leftmargin 1pc \partopsep 0 \parskip 0
+\if@twocolumn\else\linewidth\xmpWidth\fi}}
+
+\def\endsimpleList{\end{list}\vskip -\parskip}
+
+\def\axiomOp#1{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}``{\tt #1}''}
+\def\spadop{\axiomOp}
+
 @
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -2229,7 +2243,7 @@ macro. There must be a more elegant way of coding the tests below\ldots
 
 % This is a way to say 8th, 100th, etc.
 % We use providecommand so it doesn't clash with amsmath package
-\providecommand{\eth}[1]{{#1}-th}
+\def\eth#1{${\hbox{#1}\:}^{\hbox{\small\rm th}}$}
 
 % add the binom function for combfunc
 \providecommand{\binom}[2]{\left(\begin{array}{c}#1\\#2\end{array}\right)}
@@ -2621,6 +2635,14 @@ tool names, etc.
 %% typeset e.g. and i.e.
 \providecommand{\eg}{\emph{e.g.}}
 \providecommand{\ie}{\emph{i.e.}}
+\newdimen\xmpWidth \xmpWidth=29pc
+\def\axiomType#1{{\sf #1}}
+\def\spadtype{\axiomType}
+\def\axiomFun#1{{\bf #1}%
+\index{library!operations!#1 @\begingroup \string\bf{} #1 \endgroup}}
+\def\spadfun{\axiomFun}
+\long\def\texht#1#2{#1}
+
 
 %% Typeset in-line code.
 \providecommand{\Code}[1]{\texttt{#1}}
